<div class="card">
  <%= form_with method: 'get', skip_enforcing_utf8: true, local: true , class: "formField" do |form| %>
    <div class="card-content">
      <div class="ui form">
        <div class="fields equal width">
          <div class="required field --date">
            <%= form.label :start_date , t('search_form.start_date_label')%>
            <div class="ui left icon input" id="start">
              <%= form.text_field :start_date, value: @searchable.start_date.to_date.strftime('%m-%d-%Y'), autocomplete: 'off' %>
              <i class="calendar alternate icon"></i>
            </div>
          </div>
          <div class="required field --date">
            <%= form.label :end_date , t('search_form.end_date_label')%>
            <div class="ui left icon input" id="end">
              <%= form.text_field :end_date, value: @searchable.end_date.to_date.strftime('%m-%d-%Y'), autocomplete: 'off '%> 
              <i class="calendar alternate icon"></i>
            </div>
          </div>
          <div class="field --button">
            <%= button_tag(type: "submit", name: nil, class: "ui button --submit", onclick: "clearSessionStorage();loader();") do %>
              <i class="search icon"></i>
              <%= t('search_form.search_label') %>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  <% end %>
</div>

<% content_for :additional_javascripts do %>
  <script> 
    $(document).on('turbolinks:load', function () { 
      enableCalendar('#start', { endCalendar: $('#end') });
      enableCalendar('#end', { startCalendar: $('#start') });
    });
  </script>
<% end %>
